Skip to main content
POST
/
trigger-inbox
/
v1
/
inboxes
/
{inbox_id}
/
messages
/
release
curl --request POST \
  --url https://api.zapier.com/trigger-inbox/v1/inboxes/{inbox_id}/messages/release \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "lease_id": "019ce2fe-5ed1-7318-8a60-33dffd911f6a"
}
'
{
  "released_id": null,
  "results": []
}
{
"released_id": "019ce305-35be-764b-bcae-70ba567b7357",
"results": [
{
"id": "019ce2fe-5ed1-7318-8a60-33dffd911f6b",
"created_at": "2026-03-12T16:59:47.185Z",
"status": "available",
"message_attributes": {
"lease_count": 1,
"error_message": null,
"possible_duplicate_data": false
}
}
]
}
{
"errors": [
{
"code": "<string>",
"detail": "<string>",
"status": 123,
"title": "<string>",
"source": {}
}
]
}
{
"errors": [
{
"code": "<string>",
"detail": "<string>",
"status": 123,
"title": "<string>",
"source": {}
}
]
}

Authorizations

Authorization
string
header
required

OAuth 2.0 authentication.

Path Parameters

inbox_id
string<uuid>
required

Body

application/json

Request to release a leased message back to the inbox without acknowledging it.

lease_id
string<uuid>
required

The unique identifier for the lease.

message_ids
string<uuid>[]

The list of message IDs to release. If not specified all messages matching the lease_id will be released.

Minimum array length: 1

Response

Response for a message release request to an inbox.

Response for a message release request to an inbox.

released_id
string<uuid> | null
required

The unique identifier for the released messages.

results
object[]
required

The list of messages whose leases were released.